import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JButton;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Color;
import javax.swing.JComboBox;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JTextArea;

public class App {

	private JFrame frame;
	private JTextField tfBoy;
	private JTextField tfKilo;
	private JTextField tfBMI;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					App window = new App();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public App() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 728, 413);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		tfBoy = new JTextField();
		tfBoy.setText("183\r\n");
		tfBoy.setToolTipText("L\u00FCtfen boyunuzu cm cinsinden giriniz.");
		tfBoy.setBounds(89, 67, 132, 22);
		frame.getContentPane().add(tfBoy);
		tfBoy.setColumns(10);
		
		tfKilo = new JTextField();
		tfKilo.setText("85");
		tfKilo.setToolTipText("L\u00FCtfen kilonuzu kg cinsinden giriniz.");
		tfKilo.setBounds(89, 102, 132, 22);
		frame.getContentPane().add(tfKilo);
		tfKilo.setColumns(10);
		
		JLabel lblBoy = new JLabel("Cinsiyet");
		lblBoy.setBounds(34, 35, 63, 16);
		frame.getContentPane().add(lblBoy);
		
		JLabel lblKilo = new JLabel("Kilo");
		lblKilo.setBounds(34, 108, 56, 16);
		frame.getContentPane().add(lblKilo);
		
		JButton btnBmHesapla = new JButton("BMI Hesapla");
		btnBmHesapla.setForeground(Color.MAGENTA);
		btnBmHesapla.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			}
		});
		JComboBox cbCinsiyet = new JComboBox();
		JTextArea taDegerlendirme = new JTextArea();

		btnBmHesapla.addMouseListener(new MouseAdapter() {
			@Override
			public void mouseClicked(MouseEvent arg0) {
				double boy = Double.valueOf(tfBoy.getText());
				double kilo = Double.valueOf(tfKilo.getText());
				double BMI = kilo / (boy*boy/10000);
				tfBMI.setText(String.valueOf(BMI));
				
				boolean kadin = false;
				if (cbCinsiyet.getSelectedIndex()==0) {
					kadin = true;
				}
				
				if(kadin) {
					if ((BMI >=21 && BMI<=24)) {
						taDegerlendirme.setText("BMI asndan problem yok");
					} else {
						taDegerlendirme.setText("BMI asndan problem var");
						
					}
				} else {
					if ((BMI >=22 && BMI<=25)) {
						taDegerlendirme.setText("BMI asndan problem yok");
					} else {
						taDegerlendirme.setText("BMI asndan problem var");
					}
				}
			}
		});
		btnBmHesapla.setBounds(89, 146, 132, 25);
		frame.getContentPane().add(btnBmHesapla);
		
		JLabel lblBm = new JLabel("BMI:");
		lblBm.setBounds(34, 199, 56, 16);
		frame.getContentPane().add(lblBm);
		
		tfBMI = new JTextField();
		tfBMI.setEditable(false);
		tfBMI.setToolTipText("");
		tfBMI.setColumns(10);
		tfBMI.setBounds(89, 193, 132, 22);
		frame.getContentPane().add(tfBMI);
		
		cbCinsiyet.setModel(new DefaultComboBoxModel(new String[] {"Kad\u0131n", "Erkek"}));
		cbCinsiyet.setBounds(104, 32, 117, 22);
		frame.getContentPane().add(cbCinsiyet);
		
		JLabel label = new JLabel("Boy");
		label.setBounds(34, 70, 56, 16);
		frame.getContentPane().add(label);
		
		JLabel lblSonuc = new JLabel("De\u011Ferlendirme");
		lblSonuc.setBounds(295, 35, 96, 16);
		frame.getContentPane().add(lblSonuc);
		
		taDegerlendirme.setEditable(false);
		taDegerlendirme.setBounds(295, 67, 192, 70);
		frame.getContentPane().add(taDegerlendirme);
	}
}
